Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

View usage plan list

Prev Next

Available in Classic and VPC

View the list of usage plans that meet the user-defined conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/usage-plans/search

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request syntax

The request syntax is as follows.

{
    "offset" : 6,
    "limit" : 0,
    "usagePlanName" : "usagePlanName"
}

Request body

The following describes the request body.

Field Type Required Description
offset Long Optional Starting point of the response data
  • 0 - 9,223,372,036,854,775,807
  • It is used with limit to implement pagination
limit Long Optional Maximum number of response data
  • 1 - 9,223,372,036,854,775,807
  • It is used with offset to implement pagination
usagePlanName String Optional Name of usage plan to view
  • 0 - 45 characters

Request example

The following is a sample request.

curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans/search' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
    "usagePlanName" : "usageplan001"
}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
    "initialCount" : 0,
    "total" : 6,
    "usagePlans" : [ {
        "domainCode" : "domainCode",
        "usagePlanId" : "usagePlanId",
        "modifier" : "modifier",
        "associatedStagesCount" : 0,
        "dayQuotaRequest" : 6,
        "permission" : "permission",
        "rateRps" : 5,
        "usagePlanName" : "usagePlanName",
        "monthQuotaRequest" : 1,
        "tenantId" : "tenantId",
        "disabled" : true,
        "usagePlanDescription" : "usagePlanDescription",
        "quotaCondition" : "quotaCondition",
        "actionName" : "actionName"
  } ]
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "usagePlans": [
        {
            "tenantId": "***e230cebc1402ba89b148896951***",
            "usagePlanId": "***xogj***",
            "usagePlanName": "usageplan001",
            "domainCode": "PUB",
            "associatedStagesCount": 0
        }
    ],
    "total": 1,
    "initialCount": 2
}